
QGIS Application - Bug report #17091

SAGA 'Add raster values to points/features' and INTERPOL option

2017-08-30 01:24 PM - Jose Carlos Martinez-Llario

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.18.12 Regression?: No

Operating System: MS Windows 64 bits Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24990

Description

The SAGA command that sends QGIS with "ADD raster values to points" or "Add values to features" from processing tool box has the

'INTERPOL' option which is not valid in SAGA 2.3.2.

It must be 'RESAMPLING' instead of 'INTERPOL'

Log:

C:\QGIS\bin>saga_cmd shapes_grid "Add Grid Values to Points"  -SHAPES

"C:\Users\jomarlla\AppData\Local\Temp\processing64f8258c1f77480e829272239994a9b2\1504086607.736.shp" -GRIDS

"C:\Users\jomarlla\AppData\Local\Temp\processing64f8258c1f77480e829272239994a9b2\1106a94042c748bf84f2d65359df991d\TARGETOUTGRID.sgrd" -INTERPOL 0 -RESULT "C:/tmp/processing/prueba/prueba1.shp" 

GETOUTGRID.sgrd" -INTERPOL 0 -RESULT "C:/tmp/processing/prueba/prueba1.shp" 

            Unknown option 'INTERPOL'

            ____________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

            ____________________

SAGA Version: 2.3.2 (64 bit)

____________________

            library path: C:\QGIS\apps\saga-ltr\modules\

            library name: shapes_grid

            library     : Grid Tools

            tool        : Add Grid Values to Points

            author      : O.Conrad (c) 2003

            processors  : 8 [8]

            ____________________

Usage: saga_cmd shapes_grid 0 [-SHAPES &lt;str&gt;] [-GRIDS &lt;str&gt;] [-RESULT &lt;str&gt;] [-RESAMPLING &lt;str&gt;]

            -SHAPES:&lt;str&gt;        Points

            Shapes (input)

            -GRIDS:&lt;str&gt;         Grids

            Grid list (input)

            -RESULT:&lt;str&gt;        Result

            Shapes (optional output)

            -RESAMPLING:&lt;str&gt;    Resampling

            Choice

            Available Choices:
            [0] Nearest Neighbour

            [1] Bilinear Interpolation

            [2] Bicubic Spline Interpolation

            [3] B-Spline Interpolation

            Default: 3

C:\QGIS\bin>exit

History

#1 - 2017-08-30 01:29 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/saga/SagaAlgorithm.py#L349

this has been fixed since a while. You probably have an old version of Processing masking the new one (shipped with the latest QGIS releases), check in

your plugin folder, if a "processing" folder is present then delete it and restart qgis.

#2 - 2017-08-30 01:43 PM - Jose Carlos Martinez-Llario

Hi Giovanni,

When I installed the new 2.18.12 version, I already removed the full .qgis directory.

Just in case I did what you said. The problem still remains

Cheers

#3 - 2017-08-30 02:37 PM - Giovanni Manghi

Jose Carlos Martinez-Llario wrote:

Hi Giovanni,

When I installed the new 2.18.12 version, I already removed the full .qgis directory.

the proper directory where to check in is

c:\users\yourusername\.qgis2\python\plugins\

#4 - 2017-08-30 07:57 PM - Jose Carlos Martinez-Llario

Hi, I already removed the whole directory (sorry of course I wanted to say .qgis2, hence .qgis does not exist).

Anyways, I will try to find out what is going on and I will write the solution to my problem if I can find it

#5 - 2017-09-01 05:45 PM - Giovanni Manghi

Jose Carlos Martinez-Llario wrote:
https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/saga/SagaAlgorithm.py#L349


Hi, I already removed the whole directory (sorry of course I wanted to say .qgis2, hence .qgis does not exist).

Anyways, I will try to find out what is going on and I will write the solution to my problem if I can find it

check in plugin manager if processing you are using is the one in the QGIS installation folder. If yes check if the

https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/saga/SagaAlgorithm.py#L349

file has the right parameter.
https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/saga/SagaAlgorithm.py#L349

